package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(extracurricular_exercises_message):
 */
public class ExtracurricularExercisesMessage {

	/**  */
	private Long id;
	
	/**  */
	private Long extracurricularExercisesReplyId;
	
	/** 留言人编号 */
	private Integer userId;
	
	/** 角色（学生、老师） */
	private String role;
	
	/** 留言内容 */
	private String content;
	
	/**  */
	private java.util.Date createTime;
	
	/** 父级编号 */
	private Long parentId;

	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	public ImSendTypeEnum getMsgType() {
		return msgType;
	}

	public void setMsgType(ImSendTypeEnum msgType) {
		this.msgType = msgType;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setExtracurricularExercisesReplyId(Long extracurricularExercisesReplyId){
		this.extracurricularExercisesReplyId = extracurricularExercisesReplyId;
	}
	
	public Long getExtracurricularExercisesReplyId(){
		return this.extracurricularExercisesReplyId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setRole(String role){
		this.role = role;
	}
	
	public String getRole(){
		return this.role;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setParentId(Long parentId){
		this.parentId = parentId;
	}
	
	public Long getParentId(){
		return this.parentId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
